/// <reference types="react" />
export declare const StyledTypeHeader: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
export declare const StyledInfoWrapper: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const StyledTypeName: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLParagraphElement>, HTMLParagraphElement>, {}>;
export declare const StyledSeeMoreButton: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, {}>;
export declare const StyledResultsContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
export declare const StyledItemsWrapper: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
} & {
    isShown?: boolean;
    isMore?: boolean;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLUListElement>, HTMLUListElement>, {}>;
export declare const StyledSeeMore: import("@emotion/styled").StyledComponent<{
    size?: import("../../../../../mantine").TextSize;
    weight?: "caption" | "regular" | "semiBold" | "bold" | "halfBold";
    as?: any;
    wordWrap?: "none" | "break-word" | "break-all";
    isUppercase?: boolean;
    variant?: "primary" | "secondary" | "tertiary" | "disabled" | "error" | "success";
    href?: string;
} & Omit<import("react").HTMLAttributes<unknown>, "size"> & Omit<import("@mantine/core").TextProps, "size" | "weight" | "component"> & import("@mantine/styles").DefaultProps<"root", Record<string, any>> & import("../../../../../types").DataTrackingType & import("react").RefAttributes<HTMLParagraphElement> & {
    theme?: import("@emotion/react").Theme;
}, {}, {}>;
